-- dofile '_GetPogoda.lua'
do

local function getPogoda()

    local url = "/v1/forecast?latitude="..
    dat.lat .."&longitude="..
    dat.lon .."&hourly=temperature_2m,weather_code,wind_speed_10m&wind_speed_unit=ms&timezone=auto&temporal_resolution=hourly_6&forecast_days=1&forecast_hours=12"
    local part = "api.open-meteo.com"
    local conn = net.createConnection(net.TCP, 0)

print('\nПолучаю данные прогноза погоды...\n')

    conn:on("receive", function(conn, str)
        print("Ответ от " .. part .. ":\n" .. str)
        conn:close()
-- парсинг ответа
        print('***********')
        print('Отпарсенные данные:')
        str = string.match(str, "{.*}") -- убираем лишнее
     
         local t = sjson.decode(str)
         for k,v in pairs(t) do print(k,v) end
         print('***********')
         print("Times:", table.concat(t.hourly.time, ", "))
         print("Hourly temperatures:", table.concat(t.hourly.temperature_2m, ", "))
         print("Weather code:", table.concat(t.hourly.weather_code, ", "))
         print("Wind speed 10m:", table.concat(t.hourly.wind_speed_10m, ", "))
         print('***********\n')
         
        print('Заносим данные в глобальные переменные')

		wth.offset=t.utc_offset_seconds
		print("Часовой пояс: " .. wth.offset)
		
        wth.tempOM=okrugl(t.hourly.temperature_2m[1])
        print('Округлил Т для ' .. t.hourly.time[1] .. ' (wth.tempOM, сейчас): ' .. wth.tempOM)

		wth.tempFCOM=okrugl(t.hourly.temperature_2m[2])
        print('Округлил Т для ' .. t.hourly.time[2] .. ' (wth.tempFCOM, прогноз): ' .. wth.tempFCOM)
		 
		wth.codeFCOM=t.hourly.weather_code[2]
        print('Код осадков для ' .. t.hourly.time[2] .. ' (wth.codeFCOM, прогноз): ' .. wth.codeFCOM)
        
        wth.veter=t.hourly.wind_speed_10m[2]
        print('Скорость ветра в м/с для ' .. t.hourly.time[2] .. ' (wth.veter, прогноз): ' .. wth.veter)

    end)

    conn:on("connection", function(conn)
        conn:send("GET http://" .. part .. url .. " HTTP/1.1\r\n" ..
            "Host: " .. part .. "\r\n" ..
            "Connection: close\r\n\r\n")
    end)
    conn:connect(80, part)
end

if not dat.shownight and dat.night then
print("Ночь - не делаю запрос")
else
    getPogoda()
end

end